This URL deletes multiple trusted CA certificates on the Manager.
Resource URL
DELETE /domain/sslconfiguration/deletetrustedcerts
Request Parameters
URL Parameters: None
Payload Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| List of alias names which needs to be deleted | Array | Yes |
Response Parameters
Following fields are returned.
Field Name | Description | Data Type |
|---|---|---|
| Set to 1 if the operation is successful | Number |
Example
Request
DELETE https://<NSM_IP>/sdkapi/domain/sslconfiguration/deletetrustedcerts
Payload
{
"alias": [“alias1”, “alias2”]
}
Response
{
"status": 1
}
Error Information
Following error codes are returned by this URL:
S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 500 | 1001 | Internal error |
2 | 400 | 2203 | Certificates with following alias are not present: <alias_list> |
3 | 400 | 2203 | Following certificates are default and cannot be deleted: <alias_list> |